GDAL

Public Attributes | List of all members
GDALPansharpenOptions Struct Reference

Pansharpening options. More...

`#include <gdalpansharpen.h>`

## Public Attributes
GDALPansharpenAlg | ePansharpenAlg
GDALRIOResampleAlg | eResampleAlg
int | nBitDepth
int | nWeightCount
double * | padfWeights
GDALRasterBandH | hPanchroBand
int | nInputSpectralBands
GDALRasterBandH * | pahInputSpectralBands
| Array of nInputSpectralBands input spectral bands. More...
int | nOutPansharpenedBands
int * | panOutPansharpenedBands
int | bHasNoData
double | dfNoData
| NoData value of the panchromatic and spectral bands (only taken into account if bHasNoData = TRUE). More...
int | nThreads
| Number of threads or -1 to mean ALL_CPUS. More...
double | dfMSShiftX
| Shift in pixels of multispectral bands w.r.t panchromatic band, in X direction.
double | dfMSShiftY
| Shift in pixels of multispectral bands w.r.t panchromatic band, in Y direction.

## Detailed Description

Pansharpening options.

## Member Data Documentation

## ◆ bHasNoData

int GDALPansharpenOptions::bHasNoData

Whether the panchromatic and spectral bands have a noData value.

## ◆ dfNoData

double GDALPansharpenOptions::dfNoData

NoData value of the panchromatic and spectral bands (only taken into account if bHasNoData = TRUE).

This will also be use has the output nodata value.

## ◆ ePansharpenAlg

GDALPansharpenAlg GDALPansharpenOptions::ePansharpenAlg

Pan sharpening algorithm/method. Only weighed Brovey for now.

## ◆ eResampleAlg

GDALRIOResampleAlg GDALPansharpenOptions::eResampleAlg

Resampling algorithm to upsample spectral bands to pan band resolution.

## ◆ hPanchroBand

GDALRasterBandH GDALPansharpenOptions::hPanchroBand

Panchromatic band.

## ◆ nBitDepth

int GDALPansharpenOptions::nBitDepth

Bit depth of the spectral bands. Can be let to 0 for default behavior.

## ◆ nInputSpectralBands

int GDALPansharpenOptions::nInputSpectralBands

Number of input spectral bands.

## ◆ nOutPansharpenedBands

int GDALPansharpenOptions::nOutPansharpenedBands

Number of output pansharpened spectral bands.

## ◆ nThreads

int GDALPansharpenOptions::nThreads

Number of threads or -1 to mean ALL_CPUS.

By default (0), single threaded mode is enabled unless the GDAL_NUM_THREADS configuration option is set to an integer or ALL_CPUS.

## ◆ nWeightCount

int GDALPansharpenOptions::nWeightCount

Number of weight coefficients in padfWeights.

## ◆ padfWeights

double* GDALPansharpenOptions::padfWeights

Array of nWeightCount weights used by weighted Brovey.

## ◆ pahInputSpectralBands

GDALRasterBandH* GDALPansharpenOptions::pahInputSpectralBands

Array of nInputSpectralBands input spectral bands.

The spectral band have generally a coarser resolution than the panchromatic band, but they are assumed to have the same spatial extent (and projection) at that point. Necessary spatial adjustments must be done beforehand, for example by wrapping inside a VRT dataset.

## ◆ panOutPansharpenedBands

int* GDALPansharpenOptions::panOutPansharpenedBands

Array of nOutPansharpendBands values such as panOutPansharpenedBands[k] is a value in the range [0,nInputSpectralBands-1] .

The documentation for this struct was generated from the following file:

- gdalpansharpen.h